> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add

> Add servers to an existing Strata MCP server.

Note: After adding servers, you need to reconnect the MCP server so that list_tool can be updated with the new servers.

Parameters:
- servers: Can be 'ALL' to add all available servers, a list of specific server names, or null to add no servers
- externalServers: Optional list of external MCP servers to validate and add



## OpenAPI

````yaml post /mcp-server/strata/add
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /mcp-server/strata/add:
    post:
      tags:
        - mcp-server
      summary: Add
      description: >-
        Add servers to an existing Strata MCP server.


        Note: After adding servers, you need to reconnect the MCP server so that
        list_tool can be updated with the new servers.


        Parameters:

        - servers: Can be 'ALL' to add all available servers, a list of specific
        server names, or null to add no servers

        - externalServers: Optional list of external MCP servers to validate and
        add
      operationId: add_servers_to_strata_mcp_server_strata_add_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StrataAddServersRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StrataAddServersResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    StrataAddServersRequest:
      properties:
        strataId:
          type: string
          minLength: 1
          title: Strataid
          description: The strata server ID
        servers:
          anyOf:
            - items:
                $ref: '#/components/schemas/McpServerName'
              type: array
            - type: string
              const: ALL
            - type: 'null'
          title: Servers
          description: >-
            List of Klavis integration to add (e.g., 'jira', 'linear'), 'ALL' to
            add all Klavis integration, or null to add no servers.
        externalServers:
          anyOf:
            - items:
                $ref: '#/components/schemas/ExternalServerRequest'
              type: array
            - type: 'null'
          title: Externalservers
          description: >-
            Optional list of external MCP servers to add with their URLs. Each
            server will be validated before being added.
      type: object
      required:
        - strataId
      title: StrataAddServersRequest
    StrataAddServersResponse:
      properties:
        addedServers:
          items:
            type: string
          type: array
          title: Addedservers
          description: List of Klavis integration that were added
        addedExternalServers:
          items:
            $ref: '#/components/schemas/ExternalServerInfo'
          type: array
          title: Addedexternalservers
          description: List of external MCP servers that were added with name and URL
        oauthUrls:
          additionalProperties:
            type: string
          type: object
          title: Oauthurls
          description: >-
            Map of connected integration to OAuth URL, supports white labeling
            if configured
        apiKeyUrls:
          additionalProperties:
            type: string
          type: object
          title: Apikeyurls
          description: Map of connected integration to API key setup URL
      type: object
      required:
        - addedServers
      title: StrataAddServersResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    McpServerName:
      type: string
      enum:
        - Affinity
        - Airtable
        - Amplitude
        - Asana
        - Attio
        - Box
        - Brave Search
        - Cal.com
        - Canva
        - ClickUp
        - Close
        - Cloudflare
        - Coinbase
        - Confluence
        - Dialpad
        - Discord
        - Doc2markdown
        - DocuSign
        - Dropbox
        - ElevenLabs
        - Exa
        - Fathom
        - Fetch URL
        - Figma
        - Fireflies
        - Firecrawl Deep Research
        - Firecrawl Web Search
        - Freshdesk
        - GitHub
        - GitLab
        - Gmail
        - Gong
        - Google Calendar
        - Google Docs
        - Google Drive
        - Google Jobs
        - Google Sheets
        - Google Forms
        - Google Cloud
        - GoogleWorkspaceAtlas
        - Hacker News
        - Heygen
        - HubSpot
        - Intercom
        - Jira
        - Klaviyo
        - Klavis ReportGen
        - Linear
        - LinkedIn
        - Markdown2doc
        - Mem0
        - Microsoft Teams
        - Mixpanel
        - Monday
        - Moneybird
        - Motion
        - Notion
        - OneDrive
        - Openrouter
        - Outlook Mail
        - Outlook Calendar
        - PagerDuty
        - Pipedrive
        - Plai
        - Postgres
        - PostHog
        - Postman
        - QuickBooks
        - Resend
        - Salesforce
        - SendGrid
        - Shopify
        - Slack
        - Snowflake
        - Stripe
        - Supabase
        - Tavily
        - Vercel
        - WhatsApp
        - WordPress
        - YouTube
        - Zendesk
        - ServiceNow
        - PayPal
        - Sentry
        - Netlify
        - Hugging Face
        - Square
        - Clockwise
        - Jotform
        - Honeycomb
        - Zoho Mail
        - Sharesight
        - Weights and Biases
        - Instagram
        - MongoDB
      title: McpServerName
    ExternalServerRequest:
      properties:
        name:
          type: string
          minLength: 1
          title: Name
          description: The name of the external server
        url:
          type: string
          minLength: 1
          title: Url
          description: The URL of the external MCP server
        headers:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Headers
          description: >-
            Optional HTTP headers to include when connecting to the external
            server (e.g., for bearer authentication)
      type: object
      required:
        - name
        - url
      title: ExternalServerRequest
    ExternalServerInfo:
      properties:
        name:
          type: string
          title: Name
          description: The name of the external server
        url:
          type: string
          title: Url
          description: The URL of the external MCP server
        headers:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Headers
          description: Optional HTTP headers used when connecting to the external server
      type: object
      required:
        - name
        - url
      title: ExternalServerInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````